# Territory Rename

It is used by users to rename the territory, and it is required that no files are stored in the territory.

```rust
/// Renames a territory for the user.
///
/// This transaction allows a user to rename their territory. The territory must be empty 
/// (i.e., no files stored in it) for the rename operation to be successful.
///
/// # Arguments
///
/// * `old_territory_name` - A reference to a string slice that holds the current name of the territory to be renamed.
/// * `new_territory_name` - A reference to a string slice that holds the new name for the territory.
///
/// # Returns
///
/// This function returns a `Result` which is:
/// * `Ok(TxHash)` - The transaction hash of the successful territory rename operation.
/// * `Err(Box<dyn std::error::Error>)` - An error if the transaction fails.
///
 pub async fn territory_rename(
    &self,
    old_territory_name: &str,
    new_territory_name: &str,
) -> Result<TxHash, Box<dyn std::error::Error>> 
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://doc.cess.network/developer/cess-sdk/sdk-rust/chain/storage_handler/territory_rename.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
